#! /usr/bin/rpm
%define  sovers         0
%define _unpackaged_files_terminate_build  0
%if %{?!oracle_so:1} %{?oracle_so:0}
%define oracle_so       10.1
%endif
%if %{?!oracle_vers:1} %{?oracle_vers:0}
%define oracle_vers	%{oracle_so}.0.3
%endif
%define need_oracle     1
%define need_mysql      1
%define rel_post
%define conf_args

# We specify the requirements ourselves
# %define __find_requires %{nil}
%if %{?variant:1} %{!?variant:0}  
%define rel_post _%{variant}
%if %{variant} == "daq"
%define conf_args --disable-oracle
%define need_oracle  0
%else
%if %{variant} == "dcs"
%define need_mysql 0
%else
%{error: Invalid variant: %{variant}}
%quit
%endif
%endif
%endif
%if %{need_oracle}
%define oracle_conf --disable-mysql --with-oracle-incdir=/usr/include/oracle/%{oracle_vers}/client --with-oracle-libdir=/usr/lib/oracle/%{oracle_vers}/client/lib	
%endif
 
# --------------------------------------------------------------------
Summary: 	Access MySQL or Oracle database
Name: 		rcudb0
Version: 	0.2
Release: 	3%{?rel_post}
License: 	GPL
Group: 		Development/Libraries
URL: 		http://fmd.nbi.dk/fmd/fee/
Source0: 	rcudb-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/rcudb-%{version}-%{release}-buildroot

%if %{need_mysql}
Provides:	rcudb(MySql)
%if %{?_vendor}
%if %{_vendor} == "MandrakeSoft"
BuildRequires: MySQL-devel >= 4.1.0
%else
BuildRequires: mysql-devel >= 4.1.0
%endif
%else
BuildRequires: mysql-devel >= 4.1.0
%endif
%endif
%if %{need_oracle}
Provides:	rcudb(Oracle)
BuildRequires:  oracle-instantclient-devel = %{oracle_vers}
Requires:       oracle-instantclient-basic = %{oracle_vers}
Provides:       libocci.so.%{oracle_so}
Provides:       libclntsh.so.%{oracle_so}
Provides:       libnnz10.so
Provides:       libociei.so 
%endif

%description -n %{name}
C++ class library to access MySQL and Oracle database 

%files -n %{name}
%defattr(-,root,root)
%{_prefix}/lib/lib*.so.*


# --------------------------------------------------------------------
%package -n rcudb-devel
Summary:	Access MySQL or Oracle database
Group:		Development/System
Requires:	%{name} = %{version}-%{release}
%if %{need_mysql}
Provides:	rcudb-devel(MySql)
%endif
%if %{need_oracle}
Provides:	rcudb-devel(Oracle)
%endif
%description -n rcudb-devel
C++ class library to access MySQL and Oracle database 

%files -n rcudb-devel
%defattr(-,root,root)
%{_prefix}/include/rcudb
%{_prefix}/lib/lib*.a
%{_prefix}/lib/lib*.la
%{_prefix}/lib/lib*.so
%{_prefix}/lib/pkgconfig/*
%{_prefix}/share/man/man1/rcudb-config.1*
%{_prefix}/bin/rcudb-config
%{_prefix}/share/aclocal/*
%{_prefix}/share/doc/rcudb/*


# --------------------------------------------------------------------
%prep 
%setup -q -n rcudb-%{version}

%build
%configure	\
    %{?conf_args} \
    %{?oracle_conf}

make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install 

%clean
make clean
rm -rf $RPM_BUILD_ROOT

# --------------------------------------------------------------------
%changelog
* Fri Apr 27 2007 Christian Holm Christensen <cholm@nbi.dk>
- Also install documentation

* Sat Apr 07 2007 Christian Holm Christensen <cholm@nbi.dk>
- New release to mark installation

* Tue Apr 03 2007 Christian Holm Christensen <cholm@nbi.dk>
- Updated for variant specs

* Wed Feb 21 2007 Christian Holm Christensen <cholm@nbi.dk>
- Initial release
